## blends 0.7.11

=== doc/Makefile ===
## ----------------------------------------------------------------------
## Makefile : makefile for docbook-xml
## ----------------------------------------------------------------------

## ----------------------------------------------------------------------
## Document definitions
doc_lang	:= en
# doc_lang	:= en fr
doc_name	:= debian-blends
doc_xml	:= $(shell for l in $(doc_lang); do echo $(doc_name).$$l.xml; done)
doc_xml_source := $(shell find $$l -name "*.xml")
#po_files := $(shell ls *.po)
#mo_files := $(patsubst %.po, %/LC_MESSAGES/blends.mo, $(po_files))
translated := $(shell for l in $$(echo $(doc_lang) | sed 's/en//'); do for f in en/*.xml; do echo $$l/$$(basename $$f); done; done)

sources := $(shell find . -name "*.xml")
doc_pdf	:= $(shell for l in $(doc_lang); do echo $$l/pdf/$(doc_name).$$l.pdf; done)
doc_ps	:= $(shell for l in $(doc_lang); do echo $$l/ps/$(doc_name).$$l.ps; done)
doc_dvi	:= $(shell for l in $(doc_lang); do echo $$l/dvi/$(doc_name).$$l.dvi; done)

doc_txt	:= $(shell for l in $(doc_lang); do echo $$l/txt/$(doc_name).$$l.txt; done)
#this needed cause xmlto txt does not include section numbering by default
doc_txt_params := --stringparam section.autolabel=1 --stringparam section.label.includes.component.label=1

doc_html := $(shell for l in $(doc_lang); do echo $$l/html/index.html; done)
pkg      := blends-doc

doc_html_en := en/html
doc_pdf_en  := en/pdf/debian-blends.en.pdf
doc_html_fr := fr/html
doc_pdf_fr  := fr/pdf/debian-blends.en.pdf

## ----------------------------------------------------------------------
## General definitions
LN		:= /bin/ln -sf
RMR		:= /bin/rm -fr
LOCALE          := unset LC_ALL; unset LANG; unset LANGUAGE; 

## ----------------------------------------------------------------------
# this can and will be overridden by a higher level makefile
PUBLISHHOST ?= dillon.debian.org
# PUBLISHDIR := alioth.debian.org:/srv/alioth.debian.org/chroot/home/groups/blends/htdocs/blends
PUBLISHDIR := $(PUBLISHHOST):/srv/blends.debian.org/www/blends

# There is no difference between letter and a4, but a2 for instance works
PAPERSIZE  := a4

## ----------------------------------------------------------------------
## Targets
all:		html

validate: $(doc_xml)
	for f in $(doc_xml); do \
	  xmllint --valid --noout $$f; \
	done

# update_po: $(po_files)

blends.pot: $(doc_xml_source)
	../devtools/blend-doc-makepot en > $@

$(po_files): blends.pot
	@for l in $(doc_lang); do \
	  [ $$l != "en" ] && echo -n "Updating $$l.po " && \
	  mkdir -p $$l/LC_MESSAGES && \
	  msgmerge -U $$l.po blends.pot; \
	done

update_mo: $(mo_files)

$(mo_files): $(po_files)
	@for l in $$(echo $(doc_lang)| sed 's/en//'); do \
	  echo "Updating $$l/LC_MESSAGES/blends.mo" && \
	  msgfmt -o $$l/LC_MESSAGES/blends.mo $$l.po; \
	done

translate: $(mo_files)
	@for l in $(doc_lang); do \
	  [ $$l != "en" ] && ../devtools/blend-doc-translate $$l; \
	done

html: $(doc_html)

$(doc_html) $(doc_html_en): $(doc_xml) $(sources)
	for l in $(doc_lang); do \
	  f=$(doc_name).$$l.xml; d=$$l/html; \
	  mkdir -p $$d; \
	  $(LOCALE) xmlto --skip-validation -o $$d -x $(doc_name).xsl html $$f; \
	done

txt $(doc_txt): $(doc_xml)
	for l in $(doc_lang); do \
	  f=$(doc_name).$$l.xml; d=$$l/txt; \
	  mkdir -p $$d; \
	  $(LOCALE) xmlto --skip-validation $(doc_txt_params) -o $$d txt $$f; \
	done

ps $(doc_ps): $(doc_xml)
	for l in $(doc_lang); do \
	  f=$(doc_name).$$l.xml; d=$$l/ps; \
	  mkdir -p $$d; \
	  $(LOCALE) xmlto -o $$d --with-dblatex ps $$f; \
	done


pdf $(doc_pdf): $(doc_xml)
	for l in $(doc_lang); do \
	  f=$(doc_name).$$l.xml; d=$$l/pdf; \
	  mkdir -p $$d; \
	  $(LOCALE) xmlto --skip-validation -o $$d --with-dblatex pdf $$f; \
	done


dvi $(doc_dvi): $(doc_xml)
	for l in $(doc_lang); do \
	  f=$(doc_name).$$l.xml; d=$$l/dvi; \
	  mkdir -p $$d; \
	  $(LOCALE) xmlto -o $$d --with-dblatex dvi $$f; \
	done


publish: $(doc_html_en) $(doc_pdf_en)
	rsync -azult --delete $(doc_html_en)/*.html $(PUBLISHDIR)
	rsync -azult $(doc_pdf_en) $(PUBLISHDIR)
	# sync to mirrors
	ssh $(PUBLISHHOST) "/usr/local/bin/static-update-component blends.debian.org"

clean:
	for l in $(doc_lang); do \
	  for d in html pdf txt ps dvi info; do \
	    $(RMR) $$l/$$d; \
	  done; \
	done
	find . -name "*~" -o -name "*.mo" -exec $(RMR) {} \;
	rm -f blends.pot

distclean:
		make clean

.PHONY: all publish clean distclean validate # translateu update_mo update_po

=== sphinxdoc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = blends
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
blends (0.7.11) unstable; urgency=medium

  * Drop build time test to build reproducibly
    Closes: #1104515
  * Standards-Version: 4.7.2
  * Rules-Requires-Root: no is default now ... removing

 -- Andreas Tille <tille@debian.org>  Mon, 20 Oct 2025 15:01:17 +0200

=== debian/control ===
Source: blends
Maintainer: Debian Pure Blend Team <debian-blends@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>,
           Andreas Tille <tille@debian.org>,
           Jonas Smedegaard <dr@jones.dk>,
           Ole Streicher <olebole@debian.org>,
           Mike Gabriel <sunweaver@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: dblatex,
                     dh-python,
                     python3-all,
                     python3-apt,
                     python3-debian,
                     python3-pytest,
                     python3-sphinx,
                     w3m,
                     xmlto,
#                     texlive-lang-french
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/blends-team/blends
Vcs-Git: https://salsa.debian.org/blends-team/blends.git
Homepage: https://www.debian.org/blends/

Package: blends-dev
Architecture: all
Depends: debconf,
         debhelper,
         make | build-essential,
         python3,
         python3-apt,
         python3-blends,
         ${misc:Depends}
Suggests: blends-doc
Recommends: python3-psycopg2
Description: Debian Pure Blends common files for developing metapackages
 This package makes life easier when packaging metapackages.  Perhaps
 this will also encourage other people to build metapackages if there are
 easy to use templates where only the packages, the metapackage is depending
 from, to insert into the right place.

Package: blends-common
Architecture: all
Section: misc
Depends: adduser,
         debconf,
         menu,
         sensible-utils,
         ${misc:Depends}
Suggests: blends-doc
Multi-Arch: foreign
Description: Debian Pure Blends common package
 This package builds the basic infra structure for metapackages.
 .
 This package provides some files which are common to metapackages
 of Common Debian Distributions. It introduces a method to handle
 system users in a group named according to the name of the
 Debian Pure Blend.

Package: blends-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: postscript-viewer,
          www-browser
Multi-Arch: foreign
Description: Debian Pure Blends documentation
 This paper is intended to people who are interested in the philosophy
 of Debian Pure Blends and the technique which is used to
 manage those projects.
 .
 It is explained in detail why these are no forks from Debian but reside
 completely inside the Debian GNU distribution and which
 advantages can be gathered by this approach.  The concept of
 metapackages and user role based menus is explained.  In short: This
 document describes why Debian Pure Blends are important to
 the vitality and quality of Debian.

Package: blends-tasks
Architecture: all
Section: misc
Priority: important
Depends: tasksel,
         ${misc:Depends}
Description: Debian Pure Blends tasks for new installations
 This package installs a choice of a default installation for each
 Debian Pure Blend when run from the Debian installer. The
 installation includes the tasks package of the blend, so a subsequent
 invocation of tasksel enables the choice of individual tasks.
 .
 The package is intended to be installed in the base system. Later
 (un)installation is harmless, but has no effect.

Package: python3-blends
Architecture: all
Section: python
Depends: python3-debian,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends}
Suggests: python3-psycopg2,
          python3-apt
Description: Python 3 module for Debian Pure Blends support
 This package installs a module to handle Debian Pure Blends tasks.
 It reads the tasks description from unpacked Blend Metapackages
 sources. It is directly possible to create the debian/control file
 and the tasks definition files from it.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

DISTDIR := $(DEB_SOURCE)-$(DEB_VERSION)

%:
	dh $@ --with python3,sphinxdoc

override_dh_auto_build:
	$(MAKE) -C doc html txt pdf
	$(MAKE) -C sphinxdoc html
	dh_auto_build

override_dh_installchangelogs:
	for pkgnews in $(DEB_SOURCE)-common $(DEB_SOURCE)-dev ; do \
	    cp -a debian/$$pkgnews.NEWS.Debian debian/$$pkgnews/usr/share/doc/$$pkgnews/NEWS.Debian ; \
	done
	dh_installchangelogs

override_dh_auto_clean:
	$(MAKE) -C doc clean
	$(MAKE) -C sphinxdoc clean
	dh_auto_clean

override_dh_compress:
	dh_compress -X.pdf

dist: get-orig-source

get-orig-source:
	if [ ! -f debian/changelog ] ; then \
	    echo "File debian/changelog is missing. Something is wrong!" ; \
	    exit -1 ; \
	fi
	if [ "$(DEB_VERSION)" = "" ] ; then \
	    echo "Unable to obtain version number from debian/changelog. Something is wrong!" ; \
	    exit -1 ; \
	fi ;
	rm -rf $(DISTDIR)
	mkdir $(DISTDIR)
	chmod 777 $(DISTDIR)
	rsync -a --exclude $(DISTDIR) --exclude CVS --exclude .svn --exclude svn-commit.tmp * $(DISTDIR)
	ln -sf sources.list.unstable $(DISTDIR)/sources.list
	# ln -s control.stub $(DISTDIR)/examples/debian/control
	rm -f `find . -name "*~"`
	GZIP=-9 tar -czf ../$(DEB_SOURCE)_$(DEB_VERSION).tar.gz $(DISTDIR)
	rm -rf $(DISTDIR)

=== examples/debian/rules ===
#!/usr/bin/make -f

include /usr/share/blends-dev/rules
